org.eclipse.emf.cdo.server.spi.security

## Interface InternalSecurityManager.CommitHandler2

- All Superinterfaces:
    InternalSecurityManager.CommitHandler
  All Known Implementing Classes:
    HomeFolderHandler, InternalSecurityManager.CommitHandler2.WithUser
  Enclosing interface:
    InternalSecurityManager

      public static interface InternalSecurityManager.CommitHandler2
      extends InternalSecurityManager.CommitHandler

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `InternalSecurityManager.CommitHandler2.WithUser` If the meaning of this type isn't clear, there really should be more of a description here...

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler

      `InternalSecurityManager.CommitHandler.Factory`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext)` Called after the commit has succeeded.

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler

      `handleCommit, init`

- - ### Method Detail

    - #### handleCommitted

          void handleCommitted(InternalSecurityManager securityManager,
                               IStoreAccessor.CommitContext commitContext)

      Called after the commit has succeeded.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html